

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.45. plugin_unregister &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.46. query_expand" href="query_expand.html" />
    <link rel="prev" title="7.3.44. plugin_register" href="plugin_register.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/plugin_unregister.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="query_expand.html" title="7.3.46. query_expand"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="plugin_register.html" title="7.3.44. plugin_register"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="plugin-unregister">
<h1><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code><a class="headerlink" href="#plugin-unregister" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This command is an experimental feature.</p>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.1.</span></p>
</div>
<div class="section" id="summary">
<h2><span class="section-number">7.3.45.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> command unregisters a plugin.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.45.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one required parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_unregister name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.45.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a sample that unregisters <code class="docutils literal notranslate"><span class="pre">QueryExpanderTSV</span></code> query expander
that is included in
<code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/query_expanders/tsv.so</span></code>.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_unregister query_expanders/tsv
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You can omit <code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/</span></code> and suffix (<code class="docutils literal notranslate"><span class="pre">.so</span></code>).
They are completed automatically.</p>
<p>You can specify absolute path such as <code class="docutils literal notranslate"><span class="pre">plugin_unregister</span>
<span class="pre">/usr/lib/groonga/plugins/query_expanders/tsv.so</span></code>.</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.45.4. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body on success such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>If <code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> fails, error details are in <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.45.5. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="plugin_register.html"><span class="doc">plugin_register</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.45. <code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.45.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.45.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.45.3. Usage</a></li>
<li><a class="reference internal" href="#return-value">7.3.45.4. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.45.5. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="plugin_register.html"
                        title="previous chapter"><span class="section-number">7.3.44. </span><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="query_expand.html"
                        title="next chapter"><span class="section-number">7.3.46. </span><code class="docutils literal notranslate"><span class="pre">query_expand</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="query_expand.html" title="7.3.46. query_expand"
             >next</a> |</li>
        <li class="right" >
          <a href="plugin_register.html" title="7.3.44. plugin_register"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>